#
# spec file for package alee-fonts
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           alee-fonts
Version:        13.3
Release:        1.7
Summary:        Korean TrueType fonts
License:        Artistic-1.0+
Group:          System/X11/Fonts
URL:            https://packages.debian.org/unstable/source/ttf-alee
Source0:        http://deb.debian.org/debian/pool/main/f/fonts-alee/fonts-alee_%{version}.tar.xz
BuildRequires:  fontpackages-devel
Provides:       scalable-font-ko
Provides:       ttf-alee = %{version}
Provides:       locale(ko)
Obsoletes:      ttf-alee <= 12
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Korean TrueType fonts by A Lee.

%prep
%setup -q -n fonts-alee-%{version}

%build
chmod 644 debian/rules

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets -c

%files
%license COPYING
%doc debian
%{_ttfontsdir}

%changelog
* Wed Dec  7 2022 Dirk Müller <dmueller@suse.com>
- update to version 13.3:
  * various debian packaging specific updates
* Mon Dec  5 2022 Dirk Müller <dmueller@suse.com>
- update to 13.1:
  * New maintainer, team maintained
  * improved glyphs, new glyphs
* Mon Sep  9 2013 pgajdos@suse.com
- update to 13
  * improved glyphs, new glyphs
* Mon Feb  4 2013 coolo@suse.com
- update license to new format
* Mon Oct  1 2012 pgajdos@suse.com
- remove forgotten redundant definition of %%{_ttfontsdir}
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Fri Mar 16 2012 cfarrell@suse.com
- license update: SUSE-Artistic-1.0+
  This package is Artistic-1.0 or later. Use SUSE- proprietary prefix until
  the license is accepted upstream at spdx.org
* Thu Dec 22 2011 tiwai@suse.de
- Renamed ttf-alee -> alee-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Mon Dec  7 2009 pgajdos@suse.cz
- updated to 12
- some minor spec file cleanups
* Wed Aug  9 2006 mfabian@suse.de
- fix build.
* Tue Aug  8 2006 mfabian@suse.de
- update to 8.7.
* Tue Aug  8 2006 mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(ko)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts -c"
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-ko".
* Wed Aug 18 2004 mfabian@suse.de
- new package: ttf-alee, version 1.7.
